gs-glossytext(1)

NAME
gs-glossytext - applies the GIMP Script-Fu Glossy filter on an image

SYNOPSIS
gs-glossytext output_filename text
[-F font | - -font-name font] [-S size | - -font-size size]
[-G gradient | - -blend-gradient-text gradient] [-g on|off | - -blend-gradient-text-reverse on|off]
[-L gradient | - -blend-gradient-outline gradient] [-l on|off | - -blend-gradient-outline-reverse on|off]
[-O size | - -outline-size size]
[-B color | - -background-color color]
[-I pattern | - -pattern-text pattern] [-i on|off | - -use-pattern-text on|off]
[-J pattern | - -pattern-outline pattern] [-j on|off | - -use-pattern-outline on|off]
[-R pattern | - -pattern-overlay pattern] [-r on|off | - -use-pattern-overlay on|off]
[-s on|off | - -use-shadow on|off]
[-X offset | - -shadow-offset-x offset] [-Y offset | - -shadow-offset-y offset]
[-q | - -quiet] [-w | - -verbose]
gs-glossytext [-h | - -help]
gs-glossytext [-v | - -version]

DESCRIPTION
gs-glossytext runs GIMP and the GIMP Script-Fu "Glossy Logo" script (details: GIMP Script-Fu Alpha to Logo Filters: https://docs.gimp.org/2.8/en/script-fu-glossy-logo-alpha.html) to render a given text using a specific font. The color gradients, patterns, font, and font size are configurable.

ARGUMENTS
The following options are available:

output_filename
    The name for the output image to be written. Any format supported by GIMP can be used. The format will be detected by the provided file name extension (e.g. .jpeg, .png, .webp, .pdf, ...). An existing output file will be overwritten.

text
    The text to be printed.

-F font | - -font-name font
    Specifies the font and style to be used. Font and style are space separated, e.g. "URW Gothic Book Oblique" for font "URW Gothic" in style "URW Gothic Book Oblique". The available font/style combinations can be listed with gs-list-fonts(1).

-S size | - -font-size size
    Specifies the font size in pixels. Default: 50.

-G gradient | - -blend-gradient-text gradient
    Specifies the blend gradient for the text, e.g. "Golden". The name must be a gradient in GIMP (.ggr file, usually in /usr/share/gimp/*/gradients/ or /usr/local/share/gimp/*/gradients/). The available gradients can be listed with gs-list-gradients(1). Default: Golden.

-g on|off | - -blend-gradient-text-reverse on|off
    Turns reversing the blend gradient for the text on or off. Default: off.

-L gradient | - -blend-gradient-outline gradient
    Specifies the blend gradient for the outline, e.g. "Golden". The name must be a gradient in GIMP (.ggr file, usually in /usr/share/gimp/*/gradients/ or /usr/local/share/gimp/*/gradients/). The available gradients can be listed with gs-list-gradients(1). Default: Golden.

-l on|off | - -blend-gradient-outline-reverse on|off
    Turns reversing the blend gradient for the outline on or off. Default: off.

-O size | - -outline-size size
    Specifies the outline size. Range: 2-250. Default: 5.

-B color | - -background-color color
    Specifies the background color, as "#RRGGBB" in hexadecimal (e.g. "#02266b" for dark blue) or name (e.g. "white"). Default: white.

-I pattern | - -pattern-text pattern
    Specifies a pattern for the text, e.g. "Electric Blue". The name must be a pattern in GIMP (.pat file, usually in /usr/share/gimp/*/patterns/ or /usr/local/share/gimp/*/patterns/). The available patterns can be listed with gs-list-patterns(1). Default: Electric Blue.
    Note: The usage of the pattern still needs to be enabled by `--use-pattern-text on`!

-i on|off | - -use-pattern-text on|off
    Turns usage of a pattern for the text on or off. Default: off.

-J pattern | - -pattern-outline pattern
    Specifies a pattern for the outline, e.g. "Electric Blue". The name must be a pattern in GIMP (.pat file, usually in /usr/share/gimp/*/patterns/ or /usr/local/share/gimp/*/patterns/). The available patterns can be listed with gs-list-patterns(1). Default: Electric Blue.
    Note: The usage of the pattern still needs to be enabled by `--use-pattern-outline on`!

-j on|off | - -use-pattern-outline on|off
    Turns usage of a pattern for the outline on or off. Default: off.

-R pattern | - -pattern-overlay pattern
    Specifies a pattern for the overlay, e.g. "Parque #1". The name must be a pattern in GIMP (.pat file, usually in /usr/share/gimp/*/patterns/ or /usr/local/share/gimp/*/patterns/). The available patterns can be listed with gs-list-patterns(1). Default: Parque #1.
    Note: The usage of the pattern still needs to be enabled by `--use-pattern-overlay on`!

-r on|off | - -use-pattern-overlay on|off
    Turns usage of a pattern for the overlay on or off. Default: off.

-s on|off | - -use-shadow on|off
    Turns usage of shadow on or off. Default: on.

-X offset | - -shadow-offset-x offset
    Sets the x-offset for the shadow. Range: 0-100. Default: 8.

-Y offset | - -shadow-offset-y offset
    Sets the y-offset for the shadow. Range: 0-100. Default: 8.

-q | - -quiet
    Quiet mode: suppress GIMP console output. This is the default.

-w | - -verbose
    Verbose mode: print GIMP console output and processing details.

-h | - -help
    Prints the program's command-line parameters and exits.

-v | - -version
    Prints the program version and exits.

EXIT STATUS
The gs-glossytext tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

gs-glossytext NorNet1.png "NorNet Testbed" --font-name "Noto Sans Bold" --font-size 128 --outline-size 5

gs-glossytext NorNet2.png "NorNet Testbed" --font-name "Comic Sans MS Bold" --font-size 256 --outline-size 32

gs-glossytext NorNet3.png "NorNet Testbed" --font-name "Comic Sans MS Bold" --font-size 256 --outline-size 32 --blend-gradient-text "Brushed Aluminium" --blend-gradient-outline "Golden"

gs-glossytext Test1.png "Test" --font-size 256 --outline-size 32 --blend-gradient-text "Land 1" --pattern-outline "Marble #3" --use-pattern-outline on

gs-glossytext Test2.png "Test" --font-size 256 --outline-size 16 -I "Marble #1" -i on -J "Marble #2" -j on

gs-glossytext Test3.png "Test" --font-size 256 --outline-size 16 -G "Yellow Orange" -L "Cold Steel"

gs-glossytext Test4.png "Generated on $(date -R)" -F "Open Sans Bold" -S 64 --use-shadow off

gs-glossytext M2EC.webp "M²EC 2026" --font-name "Lobster Two Bold Italic" --font-size 128 --outline-size 12

gs-glossytext Chinese.png "托马斯博士" -F "Noto Sans Bold" -S 256 -O 24

gs-glossytext --help

gs-glossytext -h

gs-glossytext --version

gs-glossytext -v

SEE ALSO
gs-bumpmap(1), gs-caption(1), gs-clothify(1), gs-list-fonts(1), gs-list-gradients(1), gs-list-patterns(1), gs-mosaic(1), gs-oilify(1), gs-oldphoto(1), gs-resize-with-cropping(1), gs-test-gimp(1)

NOTES
This program is part of System-Tools. The latest version of System-Tools can be found on the System-Tools Homepage at System-Tools Homepage: https://www.nntb.no/~dreibh/system-tools/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh